database:
    # IP or DNS entry for MySQL instance.
    address: "localhost"
    # Database that will be used.
    database: "bemani"
    # User who has full credentials to the above DB.
    user: "bemani"
    # Password of said user.
    password: "bemani"
    # Force the network to read-only mode, refusing to write to the DB
    # except for creating/destroying frontend sessions to enable login.
    # Set this to False or delete this to run in production mode.
    read_only: False

server:
    # Advertised server IP or DNS entry games will connect to.
    address: "192.168.0.1"
    # Advertised keepalive address, must be globally pingable. Delete
    # this to use the address above instead of a unique keepalive address.
    keepalive: "127.0.0.1"
    # What port on the above address games will connect to.
    port: 80
    # Whether games should connect over HTTPS.
    https: False
    # Advertised frontend URI. Delete this to mask the frontend address.
    uri: "https://eagate.573.jp"
    # URI that users hitting the GET interface will be redirected to.
    # Delete this to return an HTTP error instead of redirecting.
    redirect: "https://eagate.573.jp"
    # Whether PCBIDs must be added to the network before games will work.
    enforce_pcbid: False
    # How many PCBIDs an arcade owner can grant to themselves on the arcade
    # page. Note that this setting is irrelevant if PCBID enforcing is off.
    # Set to 0 or delete this setting to disable self-granting PCBIDs.
    pcbid_self_grant_limit: 0
    # Default region for this network (set to USA by default). See RegionConstants
    # for details on acceptible values. The range of accepted values is 1-56 matching
    # the 56 normal regions found in RegionConstants, and 1000 for "Europe" and
    # 2000 for "Other".
    region: 56

# Webhook URLs. These allow for game scores from games with scorecard support to be broadcasted to outside services.
# Delete this to disable this support.
webhooks:
    discord:
        iidx: 
        - "https://discord.com/api/webhooks/1232122131321321321/eauihfafaewfhjaveuijaewuivhjawueihoi"
        pnm: 
        - "https://discord.com/api/webhooks/1232122131321321321/eauihfafaewfhjaveuijaewuivhjawueihoi"
paseli:
    # Whether PASELI is enabled on the network.
    enabled: True
    # Whether infinite PASELI balance is enabled on the network.
    infinite: True

support:
    # Bishi Bashi frontend/backend enabled.
    bishi: True
    # Metal Gear Arcade frontend/backend enabled
    mga: True
    # DDR frontend/backend enabled
    ddr: True
    # IIDX frontend/backend enabled.
    iidx: True
    # Jubeat frontend/backend enabled.
    jubeat: True
    # Museca frontend/backend enabled.
    museca: True
    # Pop'n Music frontend/backend enabled.
    pnm: True
    # Reflec Beat frontend/backend enabled.
    reflec: True
    # SDVX frontend/backend enabled.
    sdvx: True

# Key used to encrypt cookies, should be unique per network instance.
secret_key: 'this_is_a_secret_please_change_me'
# Name of this network.
name: 'e-AMUSEMENT Network'
# Administrative contact for this network.
email: 'nobody@nowhere.com'
# Cache DIR, should point somewhere other than /tmp for production instances.
cache_dir: '/tmp'
# Number of seconds to preserve event logs before deleting them.
# Set to zero or delete to disable deleting logs.
event_log_duration: 2592000
# Frontend theme directory where sitewide CSS and favicon should be found.
theme: "default"
